page_screen_output=0;
global par;

clear f
function res = f(xy)
  global par;
  [n,m]=size(xy);
  res=-1*ones(n,1)*par;
  for k=1:max(size(xy))
    if(xy(k,1)>2) res(k)=-1;endif
  endfor
endfunction

[nodes,elem,edges]=ReadMesh("../demo1/test4");
gset zrange [-3:4]

for par=-1:0.1:2
  [A,b,n2d]=FEMEquation(nodes,elem,edges,1,0,'f',0,-1);
  u=FEMSolveSym(nodes,A,b,n2d,0);
  ShowSolution(nodes,elem,u)
  res=[par,FEMValue([2,2],nodes,elem,u)];
  printf("For lambda=%2.3f we find u(2,2)=%2.4f\n",res);
endfor

